[Unit]
Description= APP Service
Requires=
After=nginx.service
Wants=

[Service]
User=deployer
WorkingDirectory=/home/deployer/app/

PermissionsStartOnly=true
ExecStartPre=/usr/bin/mkdir -p /var/run/deployer
ExecStartPre=/usr/bin/chown -R deployer:deployer /var/run/deployer

ExecStart=/usr/local/bin/uwsgi /home/deployer/uwsgi.ini
ExecStop=/bin/kill -SIGINT $MAINPID

{Install}
WantedBy=multi-user.target
